package monitoring

import (
	"fmt"
	e "simrs-vx/internal/domain/bpjs-entities/monitoring"
	ibpjs "simrs-vx/internal/infra/bpjs"
)

func endpointMapper(input *e.ReadListDto) string {
	switch input.ReferenceType {
	case e.RTHist:
		return fmt.Sprintf("%smonitoring/history/%s?tglawal=%s&tglakhir=%s", ibpjs.O.BaseUrl, input.PathValue1, input.PathValue2, input.PathValue3)
	case e.RTVisit:
		return fmt.Sprintf("%smonitoring/kunjungan?tglpelayanan=%s&jnspelayanan=%s", ibpjs.O.BaseUrl, input.PathValue1, input.PathValue2)
	default:
		return ""
	}
}
